{
    attributes = (
        {
            columnName = "exe_ordre"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EXE_ORDRE"; }; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "par_description"; 
            externalType = VARCHAR2; 
            name = parDescription; 
            valueClassName = NSString; 
            valueType = S; 
            width = 300; 
        }, 
        {
            allowsNull = Y; 
            columnName = "par_Key"; 
            externalType = VARCHAR2; 
            name = parKey; 
            valueClassName = NSString; 
            valueType = S; 
            width = 80; 
        }, 
        {
            columnName = "par_ordre"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "par_ORDRE"; }; 
            name = parOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "par_value"; 
            externalType = VARCHAR2; 
            name = parValue; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, parDescription, parKey, parOrdre, parValue); 
    className = "org.cocktail.kava.server.metier.EOParametres"; 
    classProperties = (exercice, parDescription, parKey, parValue); 
    externalName = "jefy_recette.parametres"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (exercice, parDescription, parKey, parValue); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOParametres"; 
        "_nameInObjectStore" = Parametre; 
    }; 
    name = Parametres; 
    primaryKeyAttributes = (parOrdre); 
    relationships = (
        {
            destination = "ca_Exercice"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }
    ); 
}
